<template>
    <div id="footer" class="clearfix">
        <div class="footer-ql">
            <div class="container footer-ql-bg">
                <div class="row">
                    <div class=" col-12 ">
                        <h4>{{$t('titCommonUsefulLinks')}}</h4>
                        <div class="row">
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/about-us'" class="column fl-about-us">{{$t('navHelpAboutUs')}}</a>
                            </div>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/feedback'" class="hide column fl-feedback">{{$t('navCorAffairsFeedback')}}</a>
                            </div>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/affiliates'" class="hide column fl-affiliates">{{$t('navAffiliatesRoot')}}</a>
                            </div>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/sitemap'" class="column fl-sitemap">{{$t('navSiteMapRoot')}}</a>
                            </div>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/responsible-gaming'" class="column fl-responsible-gaming">{{$t('navCorAffairsResponsibleGaming')}}</a>
                            </div>
                            <div class="col-6">
                                <a target="_top" v-if="uv.login !== true" :href="urlHost + '/'+ lan + '/select-your-region'" class="column fl-region">
                                    {{currRegion[0].display}}<span class="flag" :class="'reg-' + gv.r | toLowerCase"></span>
                                </a>
                            </div>
                            <span class="col-lg-6 column fl-region" v-if="uv.login === true" >
                                {{currRegion[0].display}}<span class="flag" :class="'reg-' + gv.r | toLowerCase"></span>
                            </span>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/terms-and-conditions'" class="column fl-tac">{{$t('navTermsAndConditions')}}</a>
                            </div>
                            <div class="col-6">
                                <a :href="urlHost + '/'+ lan + '/corporate-affairs/privacy-policy'" class="column fl-privacy-policy">{{$t('navCorAffairsPrivacyPolicy')}}</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-12">
                        <h4 class="m-top-8">{{$t('titCommonNeedHelp')}}</h4>
                        <p>
                            <a :href="urlHost + '/'+ lan + 'faqs'">{{$t('navFAQsRoot')}}</a>
                            <br />
                            <a target="_blank" :href="urlHost + '/'+ lan + '/live-chat?region='+ gv.r">{{$t('navHelpLiveChatRoot')}}</a>
                            <br />
                            <a :href="urlHost + '/'+ lan + '/corporate-affairs/contact-us'">{{$t('navHelpContactUs')}}</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-reg ">
            <div class="container text-center footer-reg-bg">
                <div v-if="cooperativeSet.sponsor.length !=0">
                    <ul class="footer-sponsors">
                        <h4 class="sponsor-title">{{$t('msgComProudforSponorsV2')}}</h4>
                        <li class="sponsor-item" v-for="partner in cooperativeSet.sponsor" v-bind:key="partner.name">
                            <div class="footer-logos sponsors" :class="partner.name">
                                <a target="_blank" :href="partner.partnerUrl" class="logo" :class="partner.name"></a>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="text-left">
                    <h4>{{$t('titPaymentMethod')}}</h4>
                    <h5>{{$t('msgCommonPaymentDesc')}}</h5>
                    <ul class="d-flex payment-logo-list">
                        <li v-for="partner in cooperativeSet.paymentMethod" v-bind:key="partner.name">
                            <a :href="urlHost + '/'+ lan + '/faqs/deposit'" class="footer-logo-hires payment" :class="partner.name"></a>
                        </li>
                    </ul>
                    <div class="row">
                        <div class="col-6">
                            <h4>{{$t('titHelpSecurityAndTrust')}}</h4>
                            <ul class="d-flex trust-logo-list">
                                <li v-for="partner in cooperativeSet.securityTrust" v-bind:key="partner.name">
                                    <a target="_blank" :href="partner.partnerUrl" class="footer-logo-raster trust" :class="partner.name"></a>
                                </li>
                            </ul>
                        </div>
                        <div class="col-6">
                            <h4>{{$t('titHelpResponsibleGaming')}}</h4>
                            <ul class="d-flex trust-logo-list">
                                <li v-for="partner in cooperativeSet.responsibleGaming" v-bind:key="partner.name">
                                    <a v-if="partner.name =='resgame'" target="_top" :href="urlHost + '/'+ lan + '/' + partner.partnerUrl" class="footer-logo-raster trust" :class="partner.name"></a>
                                    <a v-else target="_top" :href="partner.partnerUrl" class="footer-logo-raster trust" :class="partner.name"></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="text-left">
                    <h4>{{$t('titHelpContactpoint')}}</h4>
                    <div class="row">
                        <div class="col-12">
                            <div class="clearfix d-flex align-items-center" v-if="gv.r !=='UK'">
                                <div class="box-logo asia">
                                    <span class="contact-rgn">{{$t('txtCommonAsian')}}</span>
                                </div>
                                <p class="contact-point">
                                    <span>{{$t('txtCommonPhone')}}</span> +
                                    <span>{{$t('txtComAsiaPhoneNo')}}</span>
                                    <br>
                                </p>
                            </div>
                            <div class="clearfix  d-flex align-items-center">
                                <div class="box-logo uk">
                                    <span class="contact-rgn">{{$t('txtCommonEuro')}}</span>
                                </div>
                                <p class="contact-point">
                                    <span>{{$t('txtCommonPhone')}}</span> +
                                    <span>{{$t('txtAsiaEuroPhoneNo')}}</span>
                                    <br>
                                </p>
                            </div>
                            <div class="clearfix  d-flex align-items-center" v-if="gv.r==='Brazil'">
                                <div class="box-logo uk ">
                                    <span class="contact-rgn">{{$t('txtComBrazil')}}</span>
                                </div>
                                <p class="contact-point">
                                    <span>{{$t('txtCommonPhone')}}</span>
                                    <span>{{$t('txtComBrazilPhoneNo')}}</span>
                                    <br>
                                </p>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-12 col-sm-12">
                            <div class="clearfix d-flex align-items-center">
                                <div class="box-logo mail  clearfix"></div>
                                <a class="contact-point mail" :href="'mailto:' + conditEmails[0].account">{{conditEmails[0].account}}</a>
                            </div>
                        </div>
                    </div>
                    <div class="">
                        <h4>{{$t('titHelpSocialMedia')}}</h4>
                        <ul class="social-networks d-flex">
                            <li v-for="partner in cooperativeSet.socialMedia" v-bind:key="partner.name">
                                <a v-if="partner.isPopup" target="_blank" href="#" onclick="return false; " class="box-logo" :class="partner.name"></a>
                                <a v-else target="_blank" :href="partner.partnerUrl" class="box-logo" :class="partner.name"></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-address">
            <address>
            <div class="container text-center footer-address-bg">
                <div class="footer-address-text" v-for="license in cooperativeSet.issueLicenses" v-bind:key="license.name">
                    <a target="_top" :href="urlHost + '/'+ lan + '/'">188BET</a>
                    <span>{{$t('reg' + license.name +'AddressDesc')}}</span>
                    <a target="_blank" :href="urlHost + '/' + lan + '/corporate-affairs/about-us'">{{$t('reg' + license.name +'License')}}</a>
                    <span> </span>
                    <span>{{$t('regComCopyright', {'year': '2018'})}}</span>
                </div>
            </div>
        </address>
        </div>
        <div v-if="!uv.login" class="switch-site-version text-center">
            <a :href="urlHost + '/'+ lan +'/'" class="btn btn-success">
                <span class="text-white text-uppercase">{{$t('txtComSwitchDesktop')}}</span>
            </a>
        </div>
    </div>
</template>
<script src="../footer.js"></script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
@import '../../node_modules/bootstrap/scss/bootstrap.scss';
@import '../css/partner-footer.scss';
</style>
